Overview | Library | Tag | Help
| FRAMES NO FRAMES

## ICEfaces-EE ACE Components
Tag tableConfigPanel

Renders a hidden panel with controls to configure column features. The table whose columns are to be configured is targeted with the 'for' attribute. The location of the button to reveal this panel is configured via the 'type' attribute.

The table config panel renders three buttons, a checkmark which submits changes, a crossout that closes without submitting changes, and a trashcan, that closes and resets the column properties configurable via the table config panel to an unconfigured state.

For more information, see the TableConfigPanel Wiki Documentation.

Client Events
Name | Description | Supported classes for argument
open | Fired when the TableConfigPanel is shown. | javax.faces.event.AjaxBehaviorEvent
submit | Fired when the TableConfigPanel submits its changes and closes. | javax.faces.event.AjaxBehaviorEvent
cancel | Fired when the TableConfigPanel cancel its changes and closes. | javax.faces.event.AjaxBehaviorEvent
trash | Fired when the TableConfigPanel clears out it's changes and closes. | javax.faces.event.AjaxBehaviorEvent

Client events can be used with Client Behaviors and the ace:ajax tag.

Tag Information
Tag Class | org.icefaces.ace.component.tableconfigpanel.TableConfigPanelTag
TagExtraInfo Class | None
Body Content | JSP
Display Name | None

Attributes
Name | Required | Request-time | Type | Description
accesskey | no | true | `java.lang.String` | Access key that, when pressed, activates this component.
binding | no | true | `javax.el.ValueExpression` | Using an EL expression, bind the component reference to a bean property, so that the component may be accessed in the bean.
columnNameConfigurable | no | true | `boolean` | Enable the configuration of column headerText properties.
columnOrderingConfigurable | no | true | `boolean` | Enable the configuration of column order.
columnSortingConfigurable | no | true | `boolean` | Enable the configuration of column sorting priority and directions.
columnVisibilityConfigurable | no | true | `boolean` | Enable the configuration of column visibility.
dragHandle | no | true | `java.lang.String` | Defines a CSS selector of a TableConfigPanel subregion used as the handle when dragging the panel.
for | no | true | `java.lang.String` | Defines the component ID of the DataTable this ConfigPanel manipulates.
hideDisabledRows | no | true | `boolean` | Enable to hide columns with configurable property set to false, rather than render them with a disabled style. Default = 'false'.
id | no | true | `java.lang.String` | The component identifier for this component. This value must be unique within the closest parent component that is a naming container.
inColumnId | no | true | `java.lang.String` | Defines the column to render the 'launch' panel button in when using the 'in-col-left' or 'in-col-right' type options.
modal | no | true | `java.lang.Boolean` | Specify whether viewing this panel disables the rest of the application from input. Default = 'false'.
offsetLeft | no | true | `java.lang.Integer` | Define the distance in pixels from left boundary of the CSS positioning bounding parent. If undefined, the panel is positioned offset slightly from the target DataTable.
offsetTop | no | true | `java.lang.Integer` | Define the distance in pixels from top boundary of the CSS positioning bounding parent. If undefined, the panel is positioned offset slightly from the target DataTable.
rendered | no | true | `boolean` | Return true if this component (and its children) should be rendered during the Render Response phase of the request processing lifecycle. Default = 'true'.
type | no | true | `java.lang.String` | Defines the display mode for the 'open' control panel button. Available options: first-col, last-col, in-col-right, in-col-left Default = 'first-col'.

Variables
| No Variables Defined.

Overview | Library | Tag | Help
| FRAMES NO FRAMES

Output Generated by Tag Library Documentation Generator. Java, JSP, and JavaServer Pages are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries. Copyright 2002-4 Sun Microsystems, Inc. 4150 Network Circle Santa Clara, CA 95054, U.S.A. All Rights Reserved.